refentry.source.fallback.profile
Prev | Refentry metadata gathering | Next

## Name

refentry.source.fallback.profile — Specifies profile of "fallback" for refentry "source" data

## Synopsis

    <xsl:param name="refentry.source.fallback.profile">
    refmeta/refmiscinfo[1]/node()</xsl:param>

## Description

The value of `refentry.source.fallback.profile` is a string representing an XPath expression. It is evaluated at run-time and used only if no "source" data can be found by other means (that is, either using the `refentry` metadata-gathering logic "hard coded" in the stylesheets, or the value of the `refentry.source.name.profile` and `refentry.version.profile` parameters, if those are enabled).

Depending on which XSLT engine you run, either the EXSLT `dyn:evaluate` extension function (for xsltproc or Xalan) or `saxon:evaluate` extension function (for Saxon) are used to dynamically evaluate the value of `refentry.source.fallback.profile` at run-time. If you don't use xsltproc, Saxon, Xalan -- or some other XSLT engine that supports `dyn:evaluate` -- you must manually disable fallback processing by setting an empty value for the `refentry.source.fallback.profile` parameter.

Prev | Up | Next
refentry.manual.fallback.profile | Home | Page header/footer